import { Observable } from 'rxjs';
import { ElementComponent } from '../pages/builder/element/element.component';
import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class PdfDesignerService {
    private http;
    private pdfElements;
    private pdfElementsSubject;
    private selectedElementSubject;
    private selectHeaderSubject;
    private elementComponent;
    pdf: any;
    unique_id: any;
    tempElem: any[];
    pdfElements$: Observable<any[]>;
    selectedElement$: Observable<number>;
    selectHeaderSubject$: Observable<any>;
    currentElement: any;
    selectTableColumn: any;
    constructor(http: HttpClient);
    intializeBook(pdf: any): void;
    getRefQbData(refqbid: string): Observable<any>;
    addElementWithId(): string;
    newBook(): void;
    clearElements(): void;
    getElementComponent(): ElementComponent | null;
    setElementComponent(component: ElementComponent): void;
    addElement(element: any): void;
    addTableElement(element: any, ind: any): void;
    updateElement(index: number, updates: Partial<any>): void;
    updateTitle(event: any): void;
    setSelectedElement(index: number): void;
    setSelectedTableElement(index: any, event: any): void;
    removeSelectedTableElement(index: number, event: any): void;
    getSelectTableColumn(): any;
    selectHeading(event: any): void;
    getElements(): any[];
    sortElementsByOrder(): void;
    getBook(): any;
    downloadElement(): any;
    convertToPdfLayout(input: any): any;
    updateElementsOrder(updatedElements: any[]): void;
    removeElementComponent(id: any): void;
    elementUpdate(element: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PdfDesignerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PdfDesignerService>;
}
